module.exports = {
  parser: "babel-eslint",
  parserOptions: {
    ecmaFeatures: {
      experimentalObjectRestSpread: true,
    }
  },
  env: {
    browser: true,
    node: true,
    es6: true,
  },
  plugins: [
    "import",
    "safe-arguments",
  ],
  rules: {
    "prefer-const": 2,
    "no-var": 2,
    "no-const-assign": 2,
    "no-unused-vars": 2,
    "no-new-object": 2,
    "object-shorthand": 2,
    "quote-props": 2,
    "no-dupe-keys": 2,
    "dot-notation": 2,
    "object-curly-spacing": 2,
    "no-array-constructor": 2,
    "array-callback-return": 2,
    "array-bracket-spacing": 2,
    "prefer-destructuring": 2,
    "quotes": [2, "single"],
    "prefer-template": 2,
    "no-eval": 2,
    "func-style": 2,
    "func-names": 2,
    "prefer-rest-params": 2,
    "space-before-function-paren": 2,
    "space-before-blocks": 2,
    "no-param-reassign": 2,
    "prefer-spread": 2,
    "prefer-arrow-callback": 2,
    "arrow-spacing": 2,
    "arrow-parens": 2,
    "no-useless-constructor": 2,
    "no-dupe-class-members": 2,
    "constructor-super": 2,
    "no-this-before-super": 2,
    "eqeqeq": 2,
    "for-direction": 2,
    "no-duplicate-case": 2,
    "default-case": 2,
    "radix": 2,
    "no-nested-ternary": 2,
    "no-unneeded-ternary": 2,
    "no-mixed-operators": 2,
    "indent": [2, 2],
    "max-len": 2,
    "block-spacing": 2,
    "comma-spacing": 2,
    "comma-dangle": 2,
    "semi": 2,
    "no-extra-semi": 2,
    "max-depth": [2, 4],
    "max-params": [2, 5],
    "safe-arguments/max-and-min": 2,
    "import/no-unresolved": 2,
    "import/named": 2,
    "import/namespace": 2,
    "import/no-absolute-path": 2,
    "import/first": 2,
    "import/exports-last": 2,
    "import/no-duplicates": 2,
    "import/no-namespace": 2,
    "import/order": 2,
    "import/newline-after-import": 2,
    "import/no-mutable-exports": 2,
  }
}